/* DragController */

#import <Cocoa/Cocoa.h>

// more detailed reverse engineering is available here
// http://www.blueboxmoon.com/wiki/?page=Binding%20Tree

@interface _NSArrayControllerTreeNode : NSObject
{
	// opaque
}
- (unsigned int)count;
- (id)observedObject;
- (id)parentNode;
- (id)nodeAtIndexPath:(id)fp8;
- (id)subnodeAtIndex:(unsigned int)fp8;
- (BOOL)isLeaf;
- (id)indexPath;
- (id)objectAtIndexPath:(id)fp8;
@end



@interface DragController : NSObject
{
    IBOutlet NSTreeController *groupTreeControl;
    IBOutlet NSOutlineView *treeTable;
		
		NSArray* dragType;
		
		_NSArrayControllerTreeNode* draggedNode;
}
@end
